LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

Creating an Installer: Locate the Disk...

While trying to create an Installer that will also install NI Device Drivers, I encountered the following message:
"Locate the "National Instruments Device Drivers - Nov 2006, Disk 1" distribution..."
 
Now, normally I would just go find the disk and insert it. But I can't find it (Darned co-workers! Smiley Happy ). The dialog doesn't tell me what it's looking for or maybe I could get from the web (would that even work?).
 
So who's got an idea of what I can do to fix this problem?
 
Note to NI: in the future, please tell me what software you're looking for when this happens.
0 Kudos
Message 1 of 8
(3,451 Views)
I think the installer builder is looking for the exact same version/release of software installed on your machine.  It should decide what to look for based on LV installation information in your windows registry.  It compares the registry info to a file named nidist.id  on the requested cd. 
 
You either need a copy of the same release cd or you need to upgrade drivers and or other software to a newer version.
 
What additional installers have you selected?
0 Kudos
Message 2 of 8
(3,441 Views)

I encountered this a few times in the past... I eventually found the Disk.

*TIP: When you install LabVIEW, copy the device driver CD to your computer. I did this and just point to the folder where the files are stored when prompted.

0 Kudos
Message 3 of 8
(3,436 Views)

So you think if I upgrade my driver (say, MAX) from the web, then will I be able to point to a location on the HD to find it, or will it still want the correct disk?

Here's what I'm trying to include:

* LV RTE (8.2)

* MAX (4.1)

* DAQmx (8.3)

* Serial (3.1)

* VISA Runtime (4.0)

Another thing I don't get is why it prompted me to include the Real-Time Module disk (I had that one). It's not an RT application, and I don't think that there's any RTFIFOs in it. Weird.

0 Kudos
Message 4 of 8
(3,432 Views)
I don't think that MAX is causing the problem.  Most likely DAQmx.  You may want to play around with the build spec and try adding the additional installers one by one and figure out which ones are resulting in the request for the missing CD.  Then you would know what software you would have to upgrade.
0 Kudos
Message 5 of 8
(3,429 Views)

My appologies. I was reading on forums.lavag.org and found that the "copy to the drive" solution no longer works/maybe only supports certain installers.

You know what would be great: If NI posted an ISO of the Disks on the Services Resource Center for situations like this.

0 Kudos
Message 6 of 8
(3,422 Views)

Hello,

The best way to get around this issue is to always install drivers from your harddrive as mentioned, rather than straight off the disk. When you create your installer, on the left select Additional Installers to see exactly which versions you are including (and which it will probably ask you to insert the disk for). I have brought up the point that we should list somewhere the exact drivers on each CD for cases like this.

Thanks!

Stephanie

0 Kudos
Message 7 of 8
(3,393 Views)
Just to re-iterate what Matt said. This no longer works for 8.2.1



Joe.
"NOTHING IS EVER EASY"
0 Kudos
Message 8 of 8
(3,388 Views)